import React, {useState,useCallback,useEffe} from 'react';
import ReactDON from 'react-don';
import { select, axisteft, axisBotton, csv, arc, pie, sceleBand, scalelinear, max, format} from 'd3';
const csvurl='https://gist.githubusercontent.com/Snigdha6698/406d97a86eed651fd41ea34b289611d7/raw/ffcb893a9df04e9badf22ea253f02f216042f3ac/ICE6dataset.csv'
const width = 960;
const height = 500;
const margin = { top: 20, right: 20, bottom: 50, left: 200 };
const App = () => {
const [data, setData] = useState (null);
useEffect(() => {
const row = d=> {
d.Population = +d['2019'];
return d;

};
csv(csvUrl, row).then(data=> {
setData(data.slice(0, 10));
});
}, []);
If (!data) 
return <pre>Loading...</pre>;

const Innerleight = height - margin.top - margin.bottom - 100;
const InnerWidth = width - margin.left - margin.right;
const yScale = scaleBand()
.domain(data.map(d => d.Country))
.range([0, innerHeight]);
const xScale = scaleLinear()
.domain([0, max(data, d => d.Population)])
.range([0, Innerwidth]);
return (
<svg width={width} height={height}>
<g transform={'translate(${margin.left),${margin.top})'}>
{xScale.ticks (). map(tickvalue => (
<g key={tickValue} transform={'translate(${xScale(tickValue)},0)'}>
<line y2={innerHeight} stroke="blue" />
<text
style={{ textAnchor: 'middle' }}
dy=".70em"
y={innerHeight + 3}
>

{tickvalue}
</text>
</g>
))}
{yScale.domain().map(tickvalue => (
<text
key={tickvalue}
style={{textAnchor: 'end'}}
x={-3}
dy=".32cm"
y={yScale(tickvalue) + yScale.bandwidth() / 2}
>

(tickValue)
</text>
))}
{data.map(d => (
<rect
key={d.Country}
x={0}
y={yScale(d.Country)}
width={xScale(d.Population)}
height={yScale.bandwidth()}
/>
))}
</g>
</svg>
);
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App/>,rootElemet);

